Subject: Re: RE: Parameters in LDP entity table

From: Felix Chang <[email-masked]>
Date: Tue, 8 May 2001 9:3:37 +0800

hi,Hansse
	Thank you, but I still have some questions.
	As you said, we could have several entities when the LSR have 
ATM-based and FR-based interfaces at the same time. And these 
entities could have different distribution and retention method.
	My question is: If in one LSR, two entities for two interfaces
 have different distribution and retention method, could these two
 interfaces interwork? If a LSP is setting up between them, we should
use which distribution method in these two entities?

Best regards!

							Felix

On 2001-05-07 11:07:00 you wrote：
>It's true that for many ATM or FR based interfaces uses the
>encap from rfc3034 or rfc3035. It's also true that those use
>per intreface label space. In that case you have several
>entities. distribution and retention method isn't neccesary
>the same over the label switch even though it's defently the
>most common case.
>
>from RFC 3037 LDP Applicability, section 3
>   Downstream on Demand distribution with conservative label retention
>   and ordered control is appropriate in situations where labels are a
>   relatively scarce resource that must be conserved, and Downstream
>   Unsolicited distribution with liberal label retention and independent
>   control is appropriate where labels are plentiful and need not be
>   carefully conserved.  However, the protocol permits other
>   combinations of distribution method, label retention mode and control
>   mode, including hybrid variants of them.
>
>Regards
>/// Hasse
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On Behalf Of Felix Chang
>> Sent: den 6 maj 2001 09:57
>> To: mpls_maillist
>> Subject: Parameters in LDP entity table
>>
>>
>> hi,everyone
>>
>>       I am confused by some parameters in the LDP entity table.
>>       Suppose there are several kinds of mpls-capable
>> interfaces(eg.ATM-based, fr-based) in a LSR, it should use per
>> interface label space. So it has several LDP entities. Is that
>> right? In these entities, are the values of some parameters such
>> as mplsLdpEntityLabelDistributionMethod,
>> mplsLdpEntityLabelRetentionMode, the same?
>>
>>
>>       Best regards!
>>                         Felix Chang
>>                           [email-masked]

	Best regards！

            Felix Chang
            [email-masked]

---

From: "Hans Sj?strand" <[email-masked]>
Date: Tue, 8 May 2001 10:00:38 +0200

Yes they can. But since the different modes of LDP serves
differnet deployment scenarious of LDP the need for it becomes almost none
in my mind.
However, since the LDP and arch specs allows for it, the mib has to support
it, hence
the placement of the objects on entity level instead on LSR level.

So this explanation is academic. E.g.

In a network where some part "A" consist of modern ATM LSRs with L3
forwarding
capacity. The distribution in this part could be independant to get faster
convergance and if a labelled
packet comes in for which it has no LSP XC it will pop and forward.
The other part "B" consist of cheaper ATM LSRs without L3 forwarding
capacity, these basically
have to use Ordered since the they can't handle "partially setup LSRs". The
LSR on the
boundary between these network parts will have one interface with
independant and one
with ordered distribution control.

The XC between an label on the "A" interface and a label on the "B"
interface will happen when
the labels for the FEC is assigned or received from the peers. There is no
such thing as
internal distribution method. The method percieved will probably differ
depending on from
which direction the label request are coming from and the internal
capabilities of the LSR
(wheither it can or want to L3 forward), but this is a implentation issue.

Read section 2.6 in 3036 a few times and play with some LSP setups and you
will get a grip of it.

Regards
/// Hasse

> From: Felix Chang [mailto:[email-masked]]
> Sent: den 8 maj 2001 00:00
> To: Hans Sj?strand
> Cc: [email-masked]
> Subject: Re: RE: Parameters in LDP entity table
>
>
> hi,Hansse